#
# spec file for package kio-extras5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           kio-extras5
Version:        18.08.2
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %define _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Additional KIO slaves for KDE applications
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         kio-extras-%{version}.tar.xz
Source99:       %{name}-rpmlintrc
Patch0:         fix-mtp-paste-with-KF5-5.25.diff
# PATCH-FEATURE-UPSTREAM
Patch1:         0001-sftp-bump-pending-request-count-from-1-to-128.patch
BuildRequires:  OpenEXR-devel
BuildRequires:  flac-devel
BuildRequires:  gperf
BuildRequires:  kactivities5-devel
BuildRequires:  karchive-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kdnssd-framework-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kf5-filesystem
BuildRequires:  khtml-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kpty-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmtp-devel
BuildRequires:  libssh-devel
BuildRequires:  libtag-devel
BuildRequires:  openslp-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  pkgconfig
BuildRequires:  solid-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5DBus) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Network) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(smbclient)
Recommends:     kimageformats
# we want some imageformats in
Recommends:     libqt5-qtimageformats
#BuildRequires:  update-desktop-files
Provides:       kfileaudiopreview = 4.100.0
Obsoletes:      kfileaudiopreview < 4.100.0
Recommends:     %{name}-lang

%description
Additional KIO-slaves for KDE applications.

%package -n libkioarchive5
Summary:        The archiver base class library
Group:          System/Libraries

%description -n libkioarchive5
The archiver base class, used by specific archive formats, is made
available as a library in its own right so that support for other
archive formats can be built outside the kio-extras source tree.

%package -n libkioarchive-devel
Summary:        Development package for libkioarchive5
Group:          Development/Libraries/C and C++
Requires:       libkioarchive5 = %{version}

%description -n libkioarchive-devel
This is the development package for libkioarchive

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n kio-extras-%{version}
%autopatch -p1
sed -i '/^add_subdirectory( doc )/d' CMakeLists.txt

%build
  %cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=share/locale/kf5
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %kf5_find_lang
    %kf5_find_htmldocs
  %endif
  # we don't need nor want devel symlink, and dbus interface -- kio-extras don't install any headers,
  # nor are meant for development
  rm -rf %{buildroot}%{_kf5_sharedir}/dbus-1/

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   -n libkioarchive5 -p /sbin/ldconfig
%postun -n libkioarchive5 -p /sbin/ldconfig

%files
%license COPYING.*
%{_kf5_configkcfgdir}/
%{_kf5_libdir}/libmolletnetwork5.so.*
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_sharedir}/kio_bookmarks/
%{_kf5_sharedir}/kio_docfilter/
%{_kf5_sharedir}/kio_info/
%{_kf5_sharedir}/konqsidebartng/
%{_kf5_sharedir}/konqueror/
%{_kf5_sharedir}/mime/packages/kf5_network.xml
%{_kf5_sharedir}/remoteview/
%{_kf5_sharedir}/solid/

%files -n libkioarchive-devel
%{_kf5_includedir}/kio_archivebase.h
%{_kf5_includedir}/libkioarchive_export.h
%{_libdir}/cmake/KioArchive/

%files -n libkioarchive5
%license COPYING.*
%{_libdir}/libkioarchive.so.5*

%if %{with lang}
%files lang -f %{name}.lang
%endif

%changelog
